[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: New kernel 2.4.21 and Sparc

On Fri, Jun 13, 2003 at 08:31:02PM -0400, Ben Collins wrote:
> > 
> > This is very confusing. What version of gcc shoud I be using to compile
> > kernels on the Sparc?
> You can uninstall gcc-3.3. You compiled with the right version. I
> suspect you did something wrong though. Try my
> kernel-image-2.4.21-sparc64 package. If that works, use the
> /boot/config-2.4.21 as a starting point for compiling your own.

OK, your kernel-image-2.4.21-sparc64 worked just fine. I then went
back to compiling my own kernel with similar configuration to the one
you used for your kernel-image package but it still didn't work.

In an act of desesperation I ran "make mrproper", "make menuconfig"
again (setting the same options I had before) and build my kernel again
("make dep boot modules modules_install"). This time the thing worked.

So, I don't know exactly what was causing problems. Maybe it was
something that "make clean" was not fixing. Whatever it was it's gone,
and 2.4.21 seems to be a pretty good kernel on the Sparc.

Thanks for the help.



Reply to: